# -*- encoding: utf-8 -*-
$:.push File.expand_path('../lib', __FILE__)
require 'em-zipper/version'


Gem::Specification.new do |s|
  s.name        = 'em-zipper'
  s.version     = EventMachine::Zipper::VERSION

  s.platform    = Gem::Platform::RUBY
  s.authors     = ["Yung Hwa Kwon"]
  s.email       = ['yung.kwon@damncarousel.com']
  s.homepage    = 'http://github.com/nowk/em-zipper'
  s.summary     = 'EventMachine wrapped around Rubyzip'
  s.description = s.summary
  s.license     = 'MIT'

  s.add_dependency 'rubyzip',         '~> 0.9.9'
  s.add_dependency 'eventmachine',    '>= 1.0.3'
  s.add_dependency 'em-http-request', '>= 1.1.1'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ['lib']
end

